Bug 729322 - Disk with an existing LVM physical volume on it only gets an LVM metadata size of 1M when creating a storage domain
Summary: Disk with an existing LVM physical volume on it only gets an LVM metadata siz...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vdsm22
Version: 5.8
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Dan Kenigsberg
QA Contact: Daniel Paikov
URL:
Whiteboard:
Depends On: 720883
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 14:06 UTC by Chris Pelland
Modified: 2013-07-04 07:49 UTC (History)
15 users (show)

Fixed In Version: vdsm22-4.5-66.el5_7
Doc Type: Bug Fix
Doc Text:
If a disk already had an LVM physical volume defined on it and you defined a storage domain on the disk, Red Hat Enterprise Linux would create an LVM metadata area on the disk of only 1M instead of 100M because of an error in the code. The error has been fixed and now Red Hat Enterprise Linux creates LVM metadata areas that are always 100M in size by default.
Clone Of:
Environment:
Last Closed: 2011-09-06 09:28:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1213 normal SHIPPED_LIVE vdsm bug fix & enhancement update 2011-09-06 09:28:15 UTC

Description Chris Pelland 2011-08-09 14:06:42 UTC
This bug has been copied from bug #720883 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 5 Daniel Paikov 2011-08-11 13:44:02 UTC
Checked on 4.5-67.

Comment 6 Kate Grainger 2011-08-24 05:13:45 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If a disk already had an LVM physical volume defined on it and you defined a storage domain on the disk, Red Hat Enterprise Linux would create an LVM metadata area on the disk of only 1M instead of 100M because of an error in the code. The error has been fixed and now Red Hat Enterprise Linux creates LVM metadata areas that are always 100M in size by default.

Comment 7 errata-xmlrpc 2011-09-06 09:28:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1213.html


Note You need to log in before you can comment on or make changes to this bug.